# Tutorials - Access and Schedule

Through June 2021 we are offering live tutorials and Q&A.

[Sign up](https://airtable.com/shrxQEgKqZCf319F3) to receive updates and the invite to the upcoming sessions.

The streaming will also be recorded and made available [here](https://www.youtube.com/playlist?list=PLOFEBzvs-VvqHl5ZqVmhB_FcSqmLufsjb) for offline review.

Join the [Qiskit](https://qisk.it/join-slack) `#metal` slack channel to request topics of interest, to give us feedback and to participate to all qiskit metal discussions.

## Current Schedule
| Date | Type | Topic |
| -------------------- | -------------------- | ------------------------------------ |
| April 1 | Tutorial | [Introduction to Qiskit Metal.](https://youtu.be/NCNv3YPvveM) |
| April 8 | Tutorial | Overview: Qubit chip design-flow. [Part 1](https://youtu.be/bsrsKZLTkTo) |
| April 15 | Tutorial | Overview: Qubit chip design-flow. [Part 2](https://youtu.be/fj1hpAqZfmg) |
| April 22 | Forum | First impressions - The Qiskit Metal team will take questions regarding what you learned, experienced and achieved so far. You can also share. | |
| April 29 | Tutorial | [QComponents](https://youtu.be/ljzWF3dNHEU): How to use, modify and extend the qiskit-metal library. |
| May 6 | Forum | Q&A - The Qiskit Metal team will take questions regarding customizing qiskit-metal design. You can also share your component work and ideas with us. | |
| May 6 | Offline Recordings | Tutorials on analysis methods:<ul><li>[Method 1: Capacitance and frequency control](https://youtu.be/rY7Os7B9sg0)</li><li>[Method 2: Eigenmode and Energy Participation Ratio](https://youtu.be/mvT9Fb7UGH4)</li><li>[Theory: Energy Participation Ratio](https://youtu.be/ITCkKfjxcbc)</li><li>[Summary EPR Quantization with Code Example](https://youtu.be/FXmPyYEyL9U)</li><li>[Finish Eigenmode + Method 3: Impedance Analysis](https://youtu.be/4jBVdHzmJdw)</li><li>[Continue Impedance Analysis: Example](https://youtu.be/Bi8ZVAq-0tw)</li></ul> | |
| May 13 | Tutorial | [Quantum Analysis 101](https://youtu.be/QIr2Rlj1cpI) |
| May 20 | Tutorial | [Introduction to the transmon qubit](https://youtu.be/6KgOaU1BAxg) |
| May 27 | Tutorial | [Physics of the Cooper Pair Box Transmon](https://youtu.be/Ql8AS4Iay-Q) |
| June 3 | Tutorial | <ul><li>[Parametric Sweeps](https://youtu.be/ZRsk5dvH1K0)</li><li>[Github contribution how-to](https://youtu.be/rJWo1Pt19vI)</li> |
| June 10 &rightarrow; July 8 | >Break< | No tutorials |
| July 15 | Tutorial | <ul><li>[Energy Participation Ratio in Qiskit Metal](https://youtu.be/HJNKG5z6Jys)</li><li>[New Feature sneak peek - LOM analysis for composite systems](https://youtu.be/XpnTJSBjb8E)</li><li>[New Feature - Export design to script](https://youtu.be/JpoD3SjObHc)</li></ul> |
| July 22 &rightarrow; Sept 16 | >Break< | No tutorials |
| Sept 23 | Tutorial | [Making a QComponent from scratch](https://youtu.be/5iEOJDMWXDE) |
| Oct 7 | Tutorial | [New LOM Analysis Methodology - Part 1](https://youtu.be/S8Wx2Lo2CxQ) |
| Oct 21 | Tutorial | [New LOM Analysis Methodology - Part 2](https://youtu.be/b2azGJ-RCjk) |
| Nov 4 | Tutorial | [New LOM Analysis Methodology - Part 3](https://youtu.be/kWFYYUa0V3k) |
| Nov 18 | Forum | Q&A - The Qiskit Metal team will take any question |
| Jan 13, 2022 | Forum | Q&A - The Qiskit Metal team will take any question |
| Jan 27, 2022 | Forum | Helping users generate a custom component.
| Feb 10, 2022 | Tutorial | <ul><li>[GUI icons](https://youtu.be/aE2Dsc67S8w)</li><li>[Jaynes Cummings model](https://youtu.be/dtwL_K-TJtY)</li><li>[template_options, options, default_options](https://youtu.be/qKLyEyW7cbQ)|
| Feb 24, 2022 | Tutorial | [Flip chip by guest speaker, Sandoko Kosen.](https://youtu.be/BUojR6Uti5Q)|
| Mar 10, 2022 | Forum| Metal community provide feedback.|
| Mar 24, 2022 | Tutorial | [Time Evolution for the CR gate](https://www.youtube.com/watch?v=icDryjZrUQ4)|
| Aug 4, 2022 | Tutorial | [Open-Source Rendering and Simulation Solution for Qiskit Metal](https://youtu.be/sA0uXtCAhWw)|
| Aug 11, 2022 | Tutorial | [Qiskit Metal E21. Quantum Spice Web App - Sneak Peak](https://youtu.be/3UE57DaG-HI)|
| Feb 2, 2023 | Tutorial | [Qiskit Metal E22. Open-Source Simulation Renderers for Metal — Gmsh and ElmerFEM](https://youtu.be/84j3l_9fHko)|
| 2022 &rightarrow; ... | TBD | Topics to potentially schedule:<ul><li>Analysis deep dives (as needed)</li><li>What happens frequently when analyzing a chip.</li><li>Metal use cases: Common problems with pins, ports, fillet matches meander distance</li><li>GDS fabrication option, use cases</li><li>QRenderers: How to use, modify and add new renderers</li><li>New QAnalysis/QRenderer structure and usage</li><li>...</li></ul> |
